Skip to main content
POST
Reverse Standalone Transfer
Reverse a specific standalone transfer. This endpoint allows you to fully or partially reverse a SUCCEEDED forward transfer.

Authorizations

PUBLIC-API-KEY
string
header
required
PRIVATE-SECRET-KEY
string
header
required

Headers

X-Idempotency-Key
string
required

Unique key for request idempotency.

Path Parameters

transfer_id
string
required

The unique ID of the transfer flow to reverse.

Body

application/json
account_id
string
required

The unique identifier of the account.

amount
object
reason
string

The reason for the reversal.

description
string

A human-readable description for the reversal.

merchant_reference
string

Merchant's unique identifier for tracking this reversal.

Response

OK

id
string
Example:

"TRF_7kB2mQ9xPnL4vR"

recipient_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

amount
object
status
string
Example:

"SUCCEEDED"

reason
string
Example:

"ORDER_CANCELLED"

description
string
Example:

"Weekly marketplace earnings"

merchant_reference
string
Example:

"TRANSFER-2026-02-15-001"

metadata
object[]
provider_data
object
created_at
string<date-time>
Example:

"2026-02-16T10:30:00Z"

updated_at
string<date-time>
Example:

"2026-02-16T10:30:15Z"

completed_at
string<date-time>
Example:

"2026-02-16T10:30:15Z"

provider
string | null
Example:

null

transactions
object[]